WCSSTR(3)

NAME
wcsstr - find a wide-character substring

SYNOPSIS

#include <wchar.h>

wchar_t *wcsstr(const wchar_t *__restrict big, const wchar_t *__restrict little);

DESCRIPTION

The wcsstr function locates the first occurrence in the wide-character string pointed to by big of the sequence of wide characters (excluding the terminating null wide character) in the wide-character string pointed to by little.

RETURNS

On successful completion, wcsstr returns a pointer to the located wide-character string, or a null pointer if the wide-character string is not found.

If little points to a wide-character string with zero length, the function returns big.

PORTABILITY

wcsstr is ISO/IEC 9899/AMD1:1995 (ISO C).